Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
kphat369

xin giúp đỡ " chử kích thước bị ngược"

Các bài được khuyến nghị

kphat369    1

Mình vẽ CAD nhưng mình không có học qua trường lớp nào cả. Chủ yếu là học trên diễn đàn CADVIET. Rất cảm ơn anh em trong diễn đàn.

Nay mình có cái này cần giúp đỡ:

Khi đặt lại trục tọa độ (ví dụ trục tọa độ ngược X = -Y và Y=-X), khi ghi kích thước thì chử số kích thước cũng ngược theo trục tọa độ. Mình muốn sử dụng trục TĐ ngược đó mà số kích thước vẫn đọc được. Mình nhớ có lần đọc ở đâu đó có đăt lại biến hay gì đó để chử số kích thước không bị ảnh hưởng dù có đổi trục tọa độ. mấy ngày nay tìm lại hoài mà không thấy

Mình không biết gửi hình hay file như thế nào. Mong anh em hiểu và giúp mình

Trân trọng!!!

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoan2182    836

CAD đã mặc định như thế rồi, chắc là khó thay đổi, mà tội tình gì phải vẽ ngược đời thế cho khổ ra???

 

Nếu Mirror mà chữ bị ngược thì có cách chữa:

Gõ MIRRTEXT

- Gán biến = 0 ( sau khi Mirror chữ và số không bị ngược)

- Gán biến = 1 ( sau khi Mirror chữ và số bị ngược)

 

Anh muốn gửi hình hay file hãy chịu khó đọc chủ đề:

Hướng dẫn sử dụng

Hãy vào đây nếu bạn có điều gì chưa biết về cách sử dụng diễn đàn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hdg2318    31

Mình vẽ CAD nhưng mình không có học qua trường lớp nào cả. Chủ yếu là học trên diễn đàn CADVIET. Rất cảm ơn anh em trong diễn đàn.

Nay mình có cái này cần giúp đỡ:

Khi đặt lại trục tọa độ (ví dụ trục tọa độ ngược X = -Y và Y=-X), khi ghi kích thước thì chử số kích thước cũng ngược theo trục tọa độ. Mình muốn sử dụng trục TĐ ngược đó mà số kích thước vẫn đọc được. Mình nhớ có lần đọc ở đâu đó có đăt lại biến hay gì đó để chử số kích thước không bị ảnh hưởng dù có đổi trục tọa độ. mấy ngày nay tìm lại hoài mà không thấy

Mình không biết gửi hình hay file như thế nào. Mong anh em hiểu và giúp mình

Trân trọng!!!

bạn dung lisp này nhé :

(defun DTR (A) (* PI (/ A 180.0)))
(defun c:Drt (/ DIM_CNT DIM_SS1 DIM_OBJ DIM_ANG)
(command ".undo" "group")
(setq DIM_CNT 0
DIM_SS1 (ssget '((0 . "DIMENSION")))
)
(if DIM_SS1
(progn
(repeat (sslength DIM_SS1)
(setq DIM_OBJ (entget (ssname DIM_SS1 DIM_CNT)))
(setq DIM_ANG (- (cdr (assoc 51 DIM_OBJ)) (DTR 180)))
(setq DIM_OBJ (subst (cons 51 DIM_ANG) (assoc 51 DIM_OBJ) DIM_OBJ))
(entmod DIM_OBJ)
(princ (strcat "\rRotating dimension "
(itoa DIM_CNT)
" of "
(itoa (sslength DIM_SS1))
)
)
(setq DIM_CNT (1+ DIM_CNT))
)
(princ (strcat "\rRotating dimension "
(itoa DIM_CNT)
" of "
(itoa (sslength DIM_SS1))
)
)
)
)
(command ".undo" "end")
)
(princ)

Command : drt

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoan2182    836

@ kphat369 :

Trong công việc vẽ và thiết kế có cần thiết phải:" trục tọa độ (ví dụ trục tọa độ ngược X = -Y và Y=-X" để rồi phải loay hoay trăn trở với vấn đề chữ ngược chữ xuôi, để rồi phải có sự can thiệp của lisp??? Thực tình em vẫn chưa hiểu vì sao phải làm ngược đời, trái khoáy như thế???

Nếu rỗi rãi thời gian ta có thể làm việc khác có hay hơn không???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
kphat369    1

Rất xin lỗi anh hoan2182. bây giờ thì mình biết nhiều qui định trong này hơn rồi (và biết gửi file)

Cảm ơn anh nhé!

Cảm ơn bạn hdg2318 về cái lisp, nhưng vẫn chưa đươc bạn ạ. Xin gửi file ở đây nhé

http://www.cadviet.com/upfiles/3/drawing2_3.rar

À quên. Mình sử dụng nó để tính toán, các tọa độ tuyệt đối trong công trình xây dựng. Mình là nhân viện trắc đạc. Trong lúc đo, mình rất cần tọa độ tại vị trí đó theo hệ tọa độ nào đó và rất nhiều lần lập lai như thế. hiện nay mình đang dùng lệnh id rồi chép từ dòng command ra thì lâu.

Mình nhớ là sử dụng lệnh gì đó rồi gán biến cũng gióng như Mirrtext nhưng không phằi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoan2182    836

Rất xin lỗi anh hoan2182. bây giờ thì mình biết nhiều qui định trong này hơn rồi (và biết gửi file)

Cảm ơn anh nhé!

Cảm ơn bạn hdg2318 về cái lisp, nhưng vẫn chưa đươc bạn ạ. Xin gửi file ở đây nhé

http://www.cadviet.com/upfiles/3/drawing2_3.rar

À quên. Mình sử dụng nó để tính toán, các tọa độ tuyệt đối trong công trình xây dựng. Mình là nhân viện trắc đạc. Trong lúc đo, mình rất cần tọa độ tại vị trí đó theo hệ tọa độ nào đó và rất nhiều lần lập lai như thế. hiện nay mình đang dùng lệnh id rồi chép từ dòng command ra thì lâu.

Mình nhớ là sử dụng lệnh gì đó rồi gán biến cũng gióng như Mirrtext nhưng không phằi

Ồ anh cẩn thận quá, chẳng có gì phải xin lỗi em cả, anh a!

Em đã nói thẳng, nói quá lời ra như thế, để hiều công việc của anh thôi, có gì kô phải cũng mong anh thông cảm.

Giả dụ vẽ ở toạ độ ngược như anh đã làm, vẽ xong gõ lệnh Plan rồi Enter 2 lần cho nó về toạ độ bình thường để ghi kích thước và viết chữ không được hay sao, có khó khăn vướng mắc gì???

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hdg2318    31

lisp trên chỉ quay text 180 độ, áp dụng với trường hợp bị ngược như hình vẽ. trường hợp của bạn thì phải mirror, cái này không biết có đc không nữa.

drt.png

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
kphat369    1

Ồ anh cẩn thận quá, chẳng có gì phải xin lỗi em cả, anh a!

Em đã nói thẳng, nói quá lời ra như thế, để hiều công việc của anh thôi, có gì kô phải cũng mong anh thông cảm.

Giả dụ vẽ ở toạ độ ngược như anh đã làm, vẽ xong gõ lệnh Plan rồi Enter 2 lần cho nó về toạ độ bình thường để ghi kích thước và viết chữ không được hay sao, có khó khăn vướng mắc gì???

Đúng là sử dụng Plan/enter 2 lần. Mình sẽ làm thế.

Nhưng nói thêm để hoan2182 hiểu nỗi khổ của mình nhe!

Mình thường sử dụng file cad của Thiết kế và mở ra trực tiếp tại công trường (vừa lấy số liệu trên máy vừa làm ra thực địa) và phải kiểm tra trên bản vẽ cứng (bản vẽ giấy).

Để lấy vị trí điểm A theo góc tọa độ O1(X1,Y1) thì phải Plan và enter 2 lần. Lúc này các kích thước cũ (của Thiết kế hay nói đúng hơn là tất cả các kíh thước ghi lúc không phải sử dụng hệ tọa độ này) đều không đọc được. Thế là ta phải chuyển lại như ban đầu. Như thế, một buổi làm việc có khi làm rất nhiều lần thế này mà hướng nhìn cũng bị thay đổi, rất khó làm việc cùng tư vấn giám sát được.

Mong Hoan2182 hiểu để đừng nói là mình bảo thủ nhé.

Thân chào!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
kphat369    1

lisp trên chỉ quay text 180 độ, áp dụng với trường hợp bị ngược như hình vẽ. trường hợp của bạn thì phải mirror, cái này không biết có đc không nữa.

drt.png

lisp này không sử dụng được vấn đề đó khi xoay tọa độ được bạn ạ. Mình nhớ là gán biến cho cái gì đó... mình sẽ tiếp tục đọc help của cad. Nhưng khổ nỗi trình độ anh văn mình kém lắm.

Chào Bạn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoan2182    836

@ kphat369 : Em không phải là dân trắc địa, nên em không hiểu công việc của anh, mong anh thông cảm. Vấn đề anh hỏi em đã và sẽ tìm kiếm xem có thấy hay không!

Trở lại câu hỏi của anh, giả sử có một hình tròn được vẽ trong hệ toạ độ (- X, - Y)

Toạ độ tâm của hình tròn là:

center point ,X= 112.8352 Y= -27.2125 Z= 0.0000

Bây giờ anh xoay hệ trục toạ độ đó quanh trục Z một góc +180 độ để nó về toạ độ (+X, + Y) xem sao???

Khi đó toạ độ tâm hình tròn là:

center point, X=-112.8352 Y= 27.2125 Z= 0.0000

 

Command: ucs

Current ucs name: *NO NAME*

Specify origin of UCS or [Face/NAmed/OBject/Previous/View/World/X/Y/Z/ZAxis]

<World>: z

Specify rotation angle about Z axis <90.00>: 180

Command:

Command: li LIST 1 found

CIRCLE Layer: "CB"

Space: Model space

Color: BYLAYER Linetype: "Continuous"

LineWeight: BYBLOCK

Linetype scaling = 2.0000

Handle = 101888

center point, X=-112.8352 Y= 27.2125 Z= 0.0000

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ngtthienan    0

Cám ơn bác hdg2318. Lisp rất hay. Mình hay dùng UCS xoay trục toa độ dể vẽ MĐ, MC, nhưng mỗi khi Copy/paste, text của dim thường bị lật ngược. Cám ơn bác lần nữa.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@ kphat369 : Em không phải là dân trắc địa, nên em không hiểu công việc của anh, mong anh thông cảm. Vấn đề anh hỏi em đã và sẽ tìm kiếm xem có thấy hay không!

Trở lại câu hỏi của anh, giả sử có một hình tròn được vẽ trong hệ toạ độ (- X, - Y)

Toạ độ tâm của hình tròn là:

center point ,X= 112.8352 Y= -27.2125 Z= 0.0000

Bây giờ anh xoay hệ trục toạ độ đó quanh trục Z một góc +180 độ để nó về toạ độ (+X, + Y) xem sao???

Khi đó toạ độ tâm hình tròn là:

center point, X=-112.8352 Y= 27.2125 Z= 0.0000

 

Command: ucs

Current ucs name: *NO NAME*

Specify origin of UCS or [Face/NAmed/OBject/Previous/View/World/X/Y/Z/ZAxis]

<World>: z

Specify rotation angle about Z axis <90.00>: 180

Command:

Command: li LIST 1 found

CIRCLE Layer: "CB"

Space: Model space

Color: BYLAYER Linetype: "Continuous"

LineWeight: BYBLOCK

Linetype scaling = 2.0000

Handle = 101888

center point, X=-112.8352 Y= 27.2125 Z= 0.0000

E cũng đang gặp vấn đề này bác ạ, do cái máy toàn đạc nó mặc định cái hệ trục hơi ngược (như hình vẽ), e đã dùng lip để xuất tọa độ, có bác nào sửa đc lip sửa hộ e với để mỗi khi e pick xuất tọa độ nó ko bị ngược như thế này ạ. E xin chân thành cám ơn!

126423_untitled.png

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ở trên hình của bạn mình thấy bạn đặt lại ucs nên chữ mới bị ngược. Thông thường mình toàn đổi chỗ cột x và y cho nhau rồi mới đưa số liệu vào lisp phun điểm. Bạn làm theo cách trên xem sao.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ở trên hình của bạn mình thấy bạn đặt lại ucs nên chữ mới bị ngược. Thông thường mình toàn đổi chỗ cột x và y cho nhau rồi mới đưa số liệu vào lisp phun điểm. Bạn làm theo cách trên xem sao.

E bắt buộc phải xoay trục Y 180 độ bác ạ. phải theo cái máy toàn đạc nên nó mới ra cái trục tọa độ hơi hâm.bác có sửa đc lip ko giúp e với?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×